# /bridge/transfers/transactions/:hash

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark> `/bridge/transfers/transactions/:hash`

The `/bridge/transfers/transactions/:hash` endpoint returns bridge transfer data for a particular transaction hash. This will return a single record. The transaction has can match any of the hashes involved in the route (i.e. the origin hash, the wormhole submission hash, the rollup bridge submission hash or the delivery hash).

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Path Variables**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>:hash</code></td><td>Yes</td><td></td><td>The hash you are querying</td></tr></tbody></table>

### **Params**

<table><thead><tr><th width="192">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>chain</code></td><td>No</td><td><code>mainnet</code></td><td>The chain type we are working with, either <code>mainnet</code> or <code>sepolia</code></td></tr></tbody></table>

### **Response Body**

The response provides an array of `bridgeData` objects with a single entry representing the transfer that contains the transaction hash.

The `bridgeData` objects have the following properties:

<table><thead><tr><th width="247">Name</th><th width="114">Type</th><th width="389">Description</th></tr></thead><tbody><tr><td><code>_id</code></td><td><code>string</code></td><td>The unique Id for this transfer</td></tr><tr><td><code>type</code></td><td><code>string</code></td><td>The type of transfer, e.g. BLESS, ERC20.<br>Possible values:<br>- BLESS<br>- ERC20<br>- ERC721<br>- ERC1155<br>- TXN</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The overall status of the transfer, including all nodes on the route.<br>Possible values:<br>done (transfer complete)<br>- wait-wh (awaiting wormhole completion.<br>- wait-rb (awaiting rollup bridge completion)<br>- wait-cc (awaiting child chain confirmation)<br>- manual (awaiting manual confirmation)<br>- error</td></tr><tr><td><code>fromChain</code></td><td><code>string</code></td><td>The origin chain.</td></tr><tr><td><code>toChain</code></td><td><code>string</code></td><td>The destination chain.</td></tr><tr><td><code>fromAddress</code></td><td><code>string</code></td><td>The address that has initiated the transfer.</td></tr><tr><td><code>toAddress</code></td><td><code>string</code></td><td>The address the transfer is going to.</td></tr><tr><td><code>originTimestamp</code></td><td><code>number</code></td><td>The timestamp from the first transaction in this transfer.</td></tr><tr><td><code>blessAmount</code></td><td><code>string</code></td><td>The amount of BLESS being send, if this is a BLESS transfer.</td></tr><tr><td><code>tokenContract</code></td><td><code>string</code></td><td>The address of the contract for the token being send, if this is a token transfer.</td></tr><tr><td><code>tokenAmount</code></td><td><code>string</code></td><td>The amount of token being sent, if this is a token transfer.</td></tr><tr><td><code>tokenIds</code></td><td><code>array</code></td><td>An array of the token Ids being sent, if this is an ERC721 or ERC1155 transfer.</td></tr><tr><td><code>originTxnHash</code></td><td><code>string</code></td><td>The transaction hash of the first transaction in this transfer.</td></tr><tr><td><code>whTxnHash</code></td><td><code>string</code></td><td>The transaction hash of this transfer being submitted to wormhole (will only be present if wormhole is used in the route).</td></tr><tr><td><code>rbTxnHash</code></td><td><code>string</code></td><td>The transaction hash of this transfer being submitted to the rollup bridge (will only be present if the rollup bridge is used in this route).</td></tr><tr><td><code>deliveryTxnHash</code></td><td><code>string</code></td><td>The transaction hash of this transfer being delivered to the destination chain.</td></tr><tr><td><code>route</code></td><td><code>array</code></td><td>An array of objects describing the route of this transaction and the hashes at each step, if that step has been completed.</td></tr></tbody></table>

### **Example Request**

<pre><code><strong>GET https://api.bless.net/bridge/transfers/transactions/:hash?chain=sepolia
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "bridgeData": {
        "bridgeData": [
            {
                "_id": "67b668f3cf1e3ed7138c575d",
                "type": "ERC20",
                "chainType": "sepolia",
                "status": "done",
                "fromChain": 11155111,
                "toChain": 421614,
                "fromAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
                "toAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
                "originTimestamp": 1739960856,
                "tokenContract": "0xaF5a391579CA5D05e388a333c3D7e2823Ab3Ff7e",
                "tokenAmount": "1000000000000000000",
                "originTxnHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76",
                "whTxnHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76",
                "deliveryTxnHash": "0xd870621d41463c57e78ab4435c55661894268401ad21b1fcbf70d6110376591b",
                "route": [
                    {
                        "step": 11155111,
                        "txHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76"
                    },
                    {
                        "step": "wormhole",
                        "txHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76"
                    },
                    {
                        "step": 421614,
                        "txHash": "0xd870621d41463c57e78ab4435c55661894268401ad21b1fcbf70d6110376591b"
                    }
                ]
            }
        ],
        "nextCursor": null
    }
}
```

{% endtab %}
{% endtabs %}
